Get all invoices

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

invoice
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

internal_number

Internal number to identify the invoice

string
company_id

Foreign key to company, identifies the company of the invoice

globally unique identifier
company_code

Company code of the invoice

string
company_name

Company name of the invoice

string
date_create

Invoice creation date in utc

date
memo

Memo field for invoice

string
description

Decription field for invoice

string
invoice_type

Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“

string
source_type

Source of invoice, refers to the type of the object from which invoice is derived

string
source_id_in_table

Key of the object from which the invoice is derived

globally unique identifier
total_lines

Total amount of lines linked to the invoice

integer
total_amount

Total value of items in lines linked to the invoice

decimal number
db_currency_id

Key of db_currency entity, identifies the db_currency of the invoice

globally unique identifier
total_taxes

Total taxes

decimal number
due_date

The due date

date
source_db_table_name

The name of db table

string
delivery_name

The delivery name

string
delivery_street

The street for delivery

string
delivery_city

The city for delivery

string
delivery_zip

The zip for delivery

string
delivery_db_country_name

The country name for delivery

string
reference_back_office

Reference data for back office

string
db_payment_method_id

Payment method id

globally unique identifier
id2

id for internal

integer
customer_remarks

Customer remarks

string
bill_to_party

The bill to party

string
bill_to_contact_id

Contact id for bill

globally unique identifier
contact_id

Contact id of invoice

globally unique identifier
article_price_label_id

Article price label id

globally unique identifier
db_language_id

The language id

globally unique identifier
invoice_status_id

The status id of invoice

globally unique identifier
invoice_status_name

The status name of invoice

string
discount_group_id

The id of discount group

globally unique identifier
discount

Discount value

decimal number
email

The email

string
invoice_number

Invoice number

string
bill_to_company_id

Company id for bill

globally unique identifier
dateutc_confirmation

The confirmation date (UTC)

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "0f814cff-c881-4abd-ba30-0de212fdafed",
  "internal_number": "sample string 2",
  "company_id": "101e737b-5580-4847-acc7-5c0267b0de3d",
  "company_code": "sample string 4",
  "company_name": "sample string 5",
  "date_create": "2026-10-26T16:43:37.5377109+00:00",
  "memo": "sample string 7",
  "description": "sample string 8",
  "invoice_type": "sample string 9",
  "source_type": "sample string 10",
  "source_id_in_table": "9ec41855-4faf-475f-9496-2dd8d3be0ed3",
  "total_lines": 12,
  "total_amount": 13.0,
  "db_currency_id": "71ac37be-9e7d-4bd2-9b45-850df2e96397",
  "total_taxes": 15.0,
  "due_date": "2026-10-26T16:43:37.5377109+00:00",
  "source_db_table_name": "sample string 17",
  "delivery_name": "sample string 18",
  "delivery_street": "sample string 19",
  "delivery_city": "sample string 20",
  "delivery_zip": "sample string 21",
  "delivery_db_country_name": "sample string 22",
  "reference_back_office": "sample string 23",
  "db_payment_method_id": "41582fab-dc61-4014-a110-c33890989467",
  "id2": 25,
  "customer_remarks": "sample string 26",
  "bill_to_party": "sample string 27",
  "bill_to_contact_id": "9cae6775-dbb8-442a-8dd7-69f723fa7be9",
  "contact_id": "bccc303e-2148-4535-8048-6b0f485bedd2",
  "article_price_label_id": "f6332cfc-9559-4c0a-9780-602ee3404d25",
  "db_language_id": "985d1c7d-ceef-4d39-8ef6-966e2b8e2b72",
  "invoice_status_id": "e9c34a9c-1e06-4170-8271-9fd5ba4d2d7f",
  "invoice_status_name": "sample string 33",
  "discount_group_id": "9a5daf28-b0db-4b8b-a055-bd93584087c4",
  "discount": 35.0,
  "email": "sample string 36",
  "invoice_number": "sample string 37",
  "bill_to_company_id": "f097693b-06ac-4b2e-ab17-16da9a4a5eee",
  "dateutc_confirmation": "2026-10-26T16:43:37.5377109+00:00",
  "modified_dateutc": "2026-10-26T16:43:37.5377109+00:00"
}